/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1998. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1       /* callback function: focusMainPnl */
#define  PANEL_QUIT                      2       /* callback function: Shutdown */
#define  PANEL_ACQUIR                    3       /* callback function: AcquireData */
#define  PANEL_SCANINTERVAL              4       /* callback function: chgScanInterval */
#define  PANEL_SETTODEFAULTS             5       /* callback function: setDefMainPnl */
#define  PANEL_BAUDRATE                  6       /* callback function: chgBaud */
#define  PANEL_CHANNELSELECT             7       /* callback function: chgChannel */
#define  PANEL_STAT                      8       /* callback function: ledStat */
#define  PANEL_PAUSE                     9       /* callback function: pauseMainPnl */
#define  PANEL_STOP                      10      /* callback function: stopMainPnl */
#define  PANEL_OPERATINGMODE             11      /* callback function: chgOperatingMode */
#define  PANEL_WORD_LENGTH               12      /* callback function: chgWordLength */
#define  PANEL_FILTER                    13      /* callback function: chgFilter */
#define  PANEL_AVERAGE                   14      /* callback function: chgAverage */
#define  PANEL_COMPORT                   15      /* callback function: chgComport */
#define  PANEL_LOAD_CONFIG               16      /* callback function: loadConfiguration */
#define  PANEL_SAVE_CONFIG               17      /* callback function: savCurrentConfig */
#define  PANEL_MSG_RUNTIME               18      /* callback function: msgRuntime */
#define  PANEL_POLL_DISPLAY              19
#define  PANEL_C0                        20      /* callback function: subSelect */
#define  PANEL_C1                        21      /* callback function: subSelect */
#define  PANEL_C2                        22      /* callback function: subSelect */
#define  PANEL_C3                        23      /* callback function: subSelect */
#define  PANEL_C4                        24      /* callback function: subSelect */
#define  PANEL_C5                        25      /* callback function: subSelect */
#define  PANEL_C6                        26      /* callback function: subSelect */
#define  PANEL_C7                        27      /* callback function: subSelect */
#define  PANEL_C8                        28      /* callback function: subSelect */
#define  PANEL_C9                        29      /* callback function: subSelect */
#define  PANEL_C10                       30      /* callback function: subSelect */
#define  PANEL_C11                       31      /* callback function: subSelect */
#define  PANEL_C12                       32      /* callback function: subSelect */
#define  PANEL_C13                       33      /* callback function: subSelect */
#define  PANEL_C14                       34      /* callback function: subSelect */
#define  PANEL_C15                       35      /* callback function: subSelect */
#define  PANEL_DO_LOG                    36      /* callback function: logToFile */
#define  PANEL_SCAN_DISPLAY2             37
#define  PANEL_SCAN_DISPLAY              38
#define  PANEL_ATTENTION_LED             39
#define  PANEL_WARNING_MSG               40
#define  PANEL_X_AXIS_RANGE              41      /* callback function: chgXAxisRange */
#define  PANEL_Y_AXIS_RANGE_NEG          42      /* callback function: chgYAxisRangeNeg */
#define  PANEL_SCAN_INTERVAL             43      /* callback function: chgScanIntervalSetup */
#define  PANEL_CUT_OFF_FREQ              44      /* callback function: chgCutoffFreq */
#define  PANEL_SCAN_INT_MAX              45      /* callback function: chgScanIntervalMax */
#define  PANEL_Y_AXIS_RANGE_POS          46      /* callback function: chgYAxisRangePos */
#define  PANEL_AUTOSCALE_Y               47      /* callback function: autoScaleY */
#define  PANEL_AUTOSCALE_X               48      /* callback function: autoScaleX */
#define  PANEL_LOGFILE_NAME              49      /* callback function: logfileData */
#define  PANEL_DO_7                      50      /* callback function: chgDigOut */
#define  PANEL_DO_6                      51      /* callback function: chgDigOut */
#define  PANEL_DO_5                      52      /* callback function: chgDigOut */
#define  PANEL_DO_4                      53      /* callback function: chgDigOut */
#define  PANEL_DO_3                      54      /* callback function: chgDigOut */
#define  PANEL_DO_2                      55      /* callback function: chgDigOut */
#define  PANEL_DO_1                      56      /* callback function: chgDigOut */
#define  PANEL_DO_0                      57      /* callback function: chgDigOut */
#define  PANEL_SEND_DIGOUT               58      /* callback function: sendDigOut */
#define  PANEL_GET_DIGIN2                59      /* callback function: getDigIn2 */
#define  PANEL_DIGOUT_PENDING            60
#define  PANEL_FILE_OVERWRITE            61      /* callback function: chgFileOverwriteStat */
#define  PANEL_SETUP_NOTICE_2            62
#define  PANEL_SETUP_NOTICE_3            63
#define  PANEL_SETUP_NOTICE              64
#define  PANEL_POLARITY_TYPE             65      /* callback function: chgPolarityType */
#define  PANEL_DI_0                      66
#define  PANEL_DI_1                      67
#define  PANEL_DI_2                      68
#define  PANEL_DI_3                      69
#define  PANEL_DI_4                      70
#define  PANEL_DI_5                      71
#define  PANEL_DI_6                      72
#define  PANEL_DI_7                      73
#define  PANEL_NUMERICSLIDE_2            74
#define  PANEL_RESET_MAX_MIN             75      /* callback function: resetMAX_MIN */
#define  PANEL_WAVEFORM                  76
#define  PANEL_SETUP                     77      /* callback function: chgSetup */
#define  PANEL_LISTBOX                   78
#define  PANEL_BUFF_STAT_LED             79
#define  PANEL_POLL_LINE_INDICATE        80
#define  PANEL_CHECKSUM                  81      /* callback function: doChksum */
#define  PANEL_DECORATION                82
#define  PANEL_ZOOM                      83      /* callback function: chgZoom */
#define  PANEL_AUTO_AXIS_FRAME           84
#define  PANEL_MODEL201DATAACQUIST_2     85
#define  PANEL_DECORATION_8              86
#define  PANEL_SELFCALIBRATING           87
#define  PANEL_DECORATION_10             88
#define  PANEL_DECORATION_14             89
#define  PANEL_DECORATION_16             90
#define  PANEL_DECORATION_15             91
#define  PANEL_DECORATION_17             92
#define  PANEL_DECORATION_19             93
#define  PANEL_DIGITALIO_3               94
#define  PANEL_DIGITALIO_4               95
#define  PANEL_DIGITALIO_6               96
#define  PANEL_DIGITALIO_5               97
#define  PANEL_LOG_LABEL                 98
#define  PANEL_LOGFILE_PRMPT             99
#define  PANEL_DECORATION_20             100
#define  PANEL_TEXTMSG                   101
#define  PANEL_DECORATION_13             102
#define  PANEL_GETIT                     103
#define  PANEL_DECORATION_3              104
#define  PANEL_SENDIT                    105
#define  PANEL_DIGITALOUTPUTS_3          106
#define  PANEL_DIGITALOUTPUTS_2          107
#define  PANEL_BITNUMBER                 108
#define  PANEL_DECORATION_2              109
#define  PANEL_SELF_CAL_BAK              110
#define  PANEL_DIG_PEND_MSG_BAK          111
#define  PANEL_DECORATION_4              112
#define  PANEL_DECORATION_5              113
#define  PANEL_EXT_CHAN_SELECT           114
#define  PANEL_TEXTMSG_2                 115
#define  PANEL_TEXTMSG_3                 116
#define  PANEL_DECORATION_12             117
#define  PANEL_DECORATION_18             118
#define  PANEL_DECORATION_22             119
#define  PANEL_SAVECURRENTCONFIGUR_2     120
#define  PANEL_SAVECURRENTCONFIGURAT     121
#define  PANEL_DECORATION_23             122
#define  PANEL_DECORATION_24             123
#define  PANEL_SAVECURRENTCONFIGUR_3     124
#define  PANEL_SAVECURRENTCONFIGUR_4     125
#define  PANEL_SCAN_HDR                  126
#define  PANEL_LOADCURRENTCONFIGURAT     127
#define  PANEL_DECORATION_28             128
#define  PANEL_DECORATION_29             129
#define  PANEL_SAVECURRENTCONFIGUR_5     130
#define  PANEL_DECORATION_27             131
#define  PANEL_TEXTMSG_5                 132
#define  PANEL_SETUP_COM                 133
#define  PANEL_SETUP_INPUT_RANGE         134
#define  PANEL_SETUP_FILTER              135
#define  PANEL_SETUP_AVERAGE             136
#define  PANEL_SETUP_SCAN_INT            137
#define  PANEL_SETUP_CUT_OFF             138
#define  PANEL_DIGOUT_PEND_MSG           139
#define  PANEL_SETUP_WORD_LENGTH         140
#define  PANEL_TEXTMSG_4                 141
#define  PANEL_SCAN_INT_TYPE             142
#define  PANEL_DECORATION_7              143
#define  PANEL_BUFF_HDR                  144
#define  PANEL_SETUP_BAUD                145
#define  PANEL_DECORATION_6              146
#define  PANEL_POLL_HDR                  147
#define  PANEL_TEXTMSG_7                 148
#define  PANEL_NO_ACTIVE_SUB             149
#define  PANEL_MODEL201DATAACQUIST_3     150


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK AcquireData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK autoScaleX(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK autoScaleY(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgAverage(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgBaud(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgChannel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgComport(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgCutoffFreq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgDigOut(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgFileOverwriteStat(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgFilter(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgOperatingMode(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgPolarityType(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgScanInterval(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgScanIntervalMax(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgScanIntervalSetup(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgSetup(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgWordLength(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgXAxisRange(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgYAxisRangeNeg(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgYAxisRangePos(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK chgZoom(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK doChksum(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK focusMainPnl(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK getDigIn2(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ledStat(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK loadConfiguration(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK logfileData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK logToFile(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK msgRuntime(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK pauseMainPnl(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK resetMAX_MIN(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK savCurrentConfig(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sendDigOut(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setDefMainPnl(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Shutdown(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopMainPnl(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK subSelect(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
